Download it now!
Bug 91582 - LibO Writer crashes when trying to select character for bullets
Summary: LibO Writer crashes when trying to select character for bullets
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-05-24 14:50 UTC by Modestas Rimkus
Modified: 2016-10-25 19:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
error message on crash (9.93 KB, image/png)
2015-05-24 15:31 UTC, tommy27
Details
backtrace (24.10 KB, text/x-log)
2015-05-24 16:13 UTC, Michael
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Modestas Rimkus 2015-05-24 14:50:15 UTC
In the Lithuanian build of LibO 5.0 beta1 Writer:

1. Select "Format - Bullets and Numbering"
2. Select a bullet type in the "Bullets" tab
3. Go to "Options" tab
4. Press "Select" for Character

Program craches and launches the recovery tool.

No specific document, can be reproduced on an empty one.
Comment 1 tommy27 2015-05-24 15:30:35 UTC
reproducible under Win8 using LibO 5.1.0.0.alpha1+
Build ID: 83eb114394879cbfd073322a51c47d02553c1fcf
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-22_06:33:51
Locale: en-US (it_IT)

bug is not limited to the Lithuanian build (removed from summary notes)
Comment 2 tommy27 2015-05-24 15:31:13 UTC
Created attachment 115972 [details]
error message on crash

hope this may help
Comment 3 Michael 2015-05-24 15:57:22 UTC
Confirmed under linux x64, regression, bibisect follows. Also I get the same message printed to console that tommy27 mentions:

soffice.bin: /home/vmiklos/git/libreoffice/master/workdir/UnpackedTarball/boost/boost/smart_ptr/intrusive_ptr.hpp:162: T* boost::intrusive_ptr<T>::operator->() const [with T = FontCharMap]: Assertion `px != 0' failed.



$ git bisect log
# bad: [c0fbc9b85ec523099dceb0f4f778fb10042efbd7] 2015-05-19: source-hash-158b50763962f66515062300e265839828463efa
# good: [06421cdb5e5880c2f8232a04f521a341edf08de3] 2015-04-29: source-hash-2932d2db599c09ecce3faa2d627e9ee4f251183a
git bisect start 'c0fbc9b85ec523099dceb0f4f778fb10042efbd7' '06421cdb5e5880c2f8232a04f521a341edf08de3'
# good: [3e7dc65db19f2643a69dc6d7928ed18c4780e6cd] 2015-05-09: source-hash-4048311aae6993357c2d0be1f1968a8c57dd4e85
git bisect good 3e7dc65db19f2643a69dc6d7928ed18c4780e6cd
# bad: [0cedadc7b2e8c75bf0893100e8fae49f62cc2545] 2015-05-14: source-hash-9de1d53a2ce3ee7036b4688b373db7b2235af4d9
git bisect bad 0cedadc7b2e8c75bf0893100e8fae49f62cc2545
# good: [1163858c42d38c17cd3d168ccca1ee5cdb5c647b] 2015-05-11: source-hash-7d890d0482abb8e051144d8177917c21844638c3
git bisect good 1163858c42d38c17cd3d168ccca1ee5cdb5c647b
# bad: [237cdb286c9950382450b7e6ea8a9b262dbe4794] 2015-05-13: source-hash-5b3a30f40a7ce476922649b734f6ede1c2fdef4b
git bisect bad 237cdb286c9950382450b7e6ea8a9b262dbe4794
# good: [67891c3c63ccf6591614b782bca2d06158574b55] 2015-05-12: source-hash-4906ecb8210a8cf1b7befcfde7f867bed5d6ce43
git bisect good 67891c3c63ccf6591614b782bca2d06158574b55
# first bad commit: [237cdb286c9950382450b7e6ea8a9b262dbe4794] 2015-05-13: source-hash-5b3a30f40a7ce476922649b734f6ede1c2fdef4b
Comment 4 Michael 2015-05-24 16:13:46 UTC
Created attachment 115974 [details]
backtrace

backtrace
Comment 5 Julien Nabet 2015-05-25 07:24:53 UTC
Tomaz: noticing the same pb in 
SvxShowCharSet::SelectCharacter(unsigned int, bool) (this=0x69fcaf0, cNew=9679, bFocus=false) svx/source/dialog/charmap.cxx:651
sal_UCS4 cNext = mpFontCharMap->GetNextChar( (cNew > 0) ? cNew - 1 : cNew );

I think it might be a dup of tdf#91569 (put in See Also)
Comment 6 Commit Notification 2015-05-25 11:02:00 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78e4b913d1bdcef83f66249fb5006803f28f96d1

tdf#91582 initialize charmap when selecting in SvxShowCharSet

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-05-25 11:08:57 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d08e3736e94bf916c12c2eb3e17602a693c4c97&h=libreoffice-5-0

tdf#91582 initialize charmap when selecting in SvxShowCharSet

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2015-05-25 20:31:53 UTC
Fix now thanks to Tomaz
Comment 9 Julien Nabet 2015-05-25 20:32:06 UTC
And verified now
Comment 10 Robinson Tryon (qubit) 2015-12-17 09:12:40 UTC Comment hidden (obsolete)